<?php
/**
 * 金戈企业建站系统：分类显示产品
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  cp_class.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */

require('header.php');

$cp_cid = $_GET['cp_cid'];

//my_yz函数在myfun.php中定义。
$cp_cid = my_yz($cp_cid);
if (!is_numeric($cp_cid)) 
{
	//er()函数在 myfun.php中定义。功能：重新定向浏览器并给出一个错误号。
     er(nonr);
     exit;
}

/**
 * 根据产品分类ID取出该分类下的所有产品，等同于
 * 'SELECT * FROM cp_cp(表) where cp_c_id(字段) ='.$cp_cid(值)
 * 该函数在data.php中定义
 */
$cp_class_cp = root_alli(cp_cp,cp_c_id,$cp_cid);
if ($cp_class_cp) 
{
     $cp_class_cp = setarray($cp_class_cp);
}
else 
{
	$nochanpin = NOCP;
}
//取出所有的产品分类
$cp_class = root_all(cp_class);
if ($cp_class) 
{
     $cp_class = setarray($cp_class);
}

$smarty->assign('nocp',$nochanpin);
$smarty->assign('cp_class',$cp_class);
$smarty->assign('cp_class_cp',$cp_class_cp);
$smarty->display('chanpin.html');

require('footer.php');

?>
